package cn.superdesk.uniorder.common;

import java.io.Serializable;
import java.util.List;


/**
 * @Description: 树节点 结构 未整理
 * @Author: linjinyu
 * @CreateDate: 2021/10/27 下午2:43
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/10/27 下午2:43
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public class Node implements Serializable {

	private Integer    id;
	private String     name;
	private Integer    parentId;
	private String     link;
	private List<Node> childrens;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getParentId() {
		return parentId;
	}

	public void setParentId(Integer parentId) {
		this.parentId = parentId;
	}

	public String getLink() {
		return link;
	}

	public void setLink(String link) {
		this.link = link;
	}

	public List<Node> getChildrens() {
		return childrens;
	}

	public void setChildrens(List<Node> childrens) {
		this.childrens = childrens;
	}
}
